Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.james.mime4j.field.structured
Class StructuredFieldParser

    java.lang.Object
      org.apache.james.mime4j.field.structured.StructuredFieldParser

All Implemented Interfaces:
  StructuredFieldParserConstants

    public class StructuredFieldParser

extends java.lang.Object
implements StructuredFieldParserConstants

Parses generic structure fields. Unfolds and removes comments.

Field Summary
`Token` | `jj_nt`
`Token` | `token`
`StructuredFieldParserTokenManager` | `token_source`

Fields inherited from interface org.apache.james.mime4j.field.structured.StructuredFieldParserConstants
`ANY, CONTENT, DEFAULT, EOF, FOLD, INCOMMENT, INQUOTEDSTRING, NESTED_COMMENT, QUOTEDPAIR, QUOTEDSTRING, STRING_CONTENT, tokenImage, WS`

Constructor Summary
`StructuredFieldParser(java.io.InputStream stream)`
`StructuredFieldParser(java.io.InputStream stream, java.lang.String encoding)`
`StructuredFieldParser(java.io.Reader stream)`
`StructuredFieldParser(StructuredFieldParserTokenManager tm)`

Method Summary
`void` | `disable_tracing()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`boolean` | `isFoldingPreserved()` Should the \r\n folding sequence be preserved?
`java.lang.String` | `parse()` Unfolds the input and removes comments.
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.InputStream stream, java.lang.String encoding)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(StructuredFieldParserTokenManager tm)`
`void` | `setFoldingPreserved(boolean preserveFolding)` Sets whether the \r\n folding sequence should be preserved.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### token_source

    public StructuredFieldParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

Constructor Detail

### StructuredFieldParser

    public StructuredFieldParser(java.io.InputStream stream)

### StructuredFieldParser

    public StructuredFieldParser(java.io.InputStream stream,
                                 java.lang.String encoding)

### StructuredFieldParser

    public StructuredFieldParser(java.io.Reader stream)

### StructuredFieldParser

    public StructuredFieldParser(StructuredFieldParserTokenManager tm)

Method Detail

### isFoldingPreserved

    public boolean isFoldingPreserved()

  Should the \r\n folding sequence be preserved?

### setFoldingPreserved

    public void setFoldingPreserved(boolean preserveFolding)

  Sets whether the \r\n folding sequence should be preserved.

### parse

    public java.lang.String parse()
                           throws ParseException

  Unfolds the input and removes comments.

  Returns:
    unfolded header value with comments removed
  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.InputStream stream,
                       java.lang.String encoding)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(StructuredFieldParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.